%define upstream_name    Encode-Detect
%define upstream_version 1.01

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 31

Summary:	An Encode::Encoding subclass that detects the encoding of data
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Encode/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:	perl-devel
Buildrequires:	perl(Module::Build)
Buildrequires:	perl(ExtUtils::CBuilder)
Buildrequires:	perl(Data::Dump)

%description
This Perl module is an Encode::Encoding subclass that uses
Encode::Detect::Detector to determine the charset of the input data and then
decodes it using the encoder of the detected charset.

It is similar to Encode::Guess, but does not require the configuration of a set
of expected encodings. Like Encode::Guess, it only supports decoding--it cannot
encode.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

# fix rights
find %{buildroot}%{perl_vendorarch} -name "*.so" -exec chmod u+w {} \;

%files
%doc Changes
%license LICENSE
%{perl_vendorarch}/Encode
%{perl_vendorarch}/auto/Encode
%{_mandir}/*/*
%exclude %dir %{perl_vendorarch}/auto/



%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.10.0-31.mga10
+ Revision: 2234078
- Mageia 10 Mass Rebuild

* Sun Jan 19 2025 wally <wally> 1.10.0-30.mga10
+ Revision: 2139937
- drop unneeded linking patch

* Fri Jan 17 2025 wally <wally> 1.10.0-29.mga10
+ Revision: 2139572
- link against libperl (mga#33934)
- fix debug info extraction

* Fri Aug 23 2024 tv <tv> 1.10.0-28.mga10
+ Revision: 2089627
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 1.10.0-27.mga10
+ Revision: 2012321
- Rebuild for perl-5.38

* Wed Aug 03 2022 tv <tv> 1.10.0-26.mga9
+ Revision: 1874834
- Rebuild b/c of "lib/Encode/Detect/Detector.c: loadable library and perl binaries are mismatched (got first handshake key 0xeb00080, needed 0xeb80080)"

* Mon Mar 21 2022 umeabot <umeabot> 1.10.0-25.mga9
+ Revision: 1816638
- Mageia 9 Mass Rebuild

* Sat Mar 12 2022 neoclust <neoclust> 1.10.0-24.mga9
+ Revision: 1790596
- Rebuild against latest perl ( from pol4n)

* Sat Jul 18 2020 tv <tv> 1.10.0-23.mga8
+ Revision: 1606976
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Tue Feb 18 2020 umeabot <umeabot> 1.10.0-22.mga8
+ Revision: 1539787
- Mageia 8 Mass Rebuild

* Fri Dec 13 2019 ns80 <ns80> 1.10.0-21.mga8
+ Revision: 1466154
- rebuild to fix "loadable library and perl binaries are mismatched"

* Fri Sep 21 2018 umeabot <umeabot> 1.10.0-20.mga7
+ Revision: 1292830
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 joequant <joequant> 1.10.0-19.mga7
+ Revision: 1248389
- update with perl 5.28

* Mon Oct 02 2017 tv <tv> 1.10.0-18.mga7
+ Revision: 1164294
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.10.0-17.mga7
+ Revision: 1148876
- Rebuild for perl ABI changes

* Wed Jul 26 2017 shlomif <shlomif> 1.10.0-16.mga7
+ Revision: 1131287
- rebuild for new perl 5.26.0

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-15.mga6
+ Revision: 1026917
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.10.0-14.mga6
+ Revision: 957248
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.10.0-13.mga6
+ Revision: 844864
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.10.0-12.mga6
+ Revision: 840976
- Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-11.mga5
+ Revision: 742837
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-10.mga5
+ Revision: 684634
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.10.0-9.mga5
+ Revision: 631133
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.10.0-8.mga4
+ Revision: 524766
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.10.0-7.mga4
+ Revision: 431516
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-6.mga3
+ Revision: 366872
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.10.0-5.mga3
+ Revision: 250584
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.10.0-4.mga2
+ Revision: 104236
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 1.10.0-3.mga1
+ Revision: 11204
- imported package perl-Encode-Detect


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.10.0-3mdv2011.0
+ Revision: 564432
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.10.0-2mdv2011.0
+ Revision: 555282
- rebuild

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.10.0-1mdv2010.1
+ Revision: 403159
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.01-3mdv2009.1
+ Revision: 351720
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.01-2mdv2009.0
+ Revision: 265358
- rebuild early 2009.0 package (before pixel changes)

* Wed May 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2009.0
+ Revision: 212212
- update to new version 1.01

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.00-3mdv2008.1
+ Revision: 152069
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 1.00-2mdv2008.0
+ Revision: 67820
- rebuild


* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdv2007.0
+ Revision: 111298
- Import perl-Encode-Detect

* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdv2007.1
- first mdv release

